Bug 608264 - Encrypt disk on install not working as expected in some cases
Encrypt disk on install not working as expected in some cases
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
13
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-26 10:09 EDT by ljmckarns
Modified: 2013-01-10 01:02 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-01 12:09:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description ljmckarns 2010-06-26 10:09:45 EDT
Description of problem: During install from liveCD, if you choose both 'encrypt whole disk' and 'create custom layout' you are never prompted for a key with which to encrypt the disk


Version-Release number of selected component (if applicable): Fedora 13 installer


How reproducible: I have attempted 3 installs, and this issue was displayed each time


Steps to Reproduce:
1.Boot to live cd
2.Run installer
3.On partitioning screen, choose the 'encrypt whole disk' check box, then select 'create custom layout;
  
Actual results:
Custom layout is created, but user is never prompted for drive encryption key, and drive is not encrypted

Expected results:
User should be prompted for key to encrypt drive

Additional info:
Comment 1 Bug Zapper 2011-06-01 11:31:49 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 David Lehman 2011-06-01 12:09:01 EDT
There is no "encrypt whole disk" checkbutton. It says "encrypt system" or similar, and it only applies if you choose an option other than "custom layout". Sorry for the confusion.

Note You need to log in before you can comment on or make changes to this bug.